Subject: Re: Picking up include directories automatically
From: [email-masked] (J. P. Shipherd)

15 May 1997 23:26:37 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked], [email-masked], [email-masked]
X-Sun-Charset: US-ASCII
Original-Sender: [email-masked]

Unfortunatly the mount option fools lots of other programs and I've found makes things a bit more unstable.  Specifically, if I have csh or perl scripts (I'm using the tcsh from the Virtual Unix page) that are in directories on mounted disks they seem to get lost.  If I unmount everything and keep the posix paths in my $PATH everything works ok.

Couldn't gcc (or cpp) be modified to understand posix paths? (Or better yet, DOS drive letters)

--jp

> see readme or maybe it's FAQ asbout using // with gcc cpp etc.
> mount -b d:\\ /d
> and eliminate // from the -I lines, and you should be fine.
>  ----
> From: Jon Thackray <[email-masked]>
> To: cygnus <[email-masked]>
> Date: Wednesday, May 14, 1997 1:42 AM
> Subject: Re: Picking up include directories automatically
> 
> >[email-masked] writes:
> >I can't get this to work. My specs file has the following:-
> >*cpp:
> >%(cpp_cpu) %[cpp_cpu] %{posix:-D_POSIX_SOURCE} -I//d/msdev/include
> -I//d/msdev/mfc/include -iprefix//d/msdev -iwithprefix include -iwithprefix
> mfc/include
> >
> >plus the other guff that was there already.
> >
> >My source file contains
> >#include <mmsystem.h>
> >
> >MMSYSTEM.H is in d:\msdev\include
> >LIBRARY_PATH is set to c:\usr\local\lib in the control panel, and also
> >to /usr/local/lib in sh.
> >
> >What am I doing wrong? gcc still tells me no include path in which to
> >find mmsystem.h
> >-
> >For help on using this list (especially unsubscribing), send a message to
> >"[email-masked]" with one line of text: "help".
> >
> > 
> 
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
> 
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".